<p class="{{ 'weight--bold u-mt u-mb-0'|prefixClass }}" id="statementMapReference">
    {{ "statement.map.reference"|trans }}<span aria-hidden="true">*</span>
</p>
<fieldset class="{{ 'toggle-group-location block'|prefixClass }}" role="radiogroup" aria-labelledby="statementMapReference" aria-required="true" id="locationFieldset">

    {% if proceduresettings.isMapEnabled == true and hasPermission('area_map_participation_area') %}
        <div
            class="{{ ('c-statement__formblock layout__item u-1-of-1-palm u-nojs-hide--inline-block height-90 height-auto-lap-down ' ~ (loggedin ? 'u-1-of-3' : 'u-3-of-10'))|prefixClass }}"
            data-toggle-id="locationPoint"
        >

            <label for="locationPoint" class="{{ 'u-mb-0_5 weight--normal'|prefixClass }}" aria-hidden="true">
                <input
                    type="radio"
                    class="{{ 'js__toggleAnything'|prefixClass }}"
                    data-toggle="#locationPoint"
                    data-toggle-property="{{ '.is-visible'|prefixClass }}"
                    data-toggle-container="{{ '.toggle-group-location'|prefixClass }}"
                    data-toggle-exclusive
                    id="locationPoint"
                    name="r_location"
                    value="point"
                > {{ "statement.map.reference.add_on_map"|trans }}
            </label>

            <div class="{{ 'u-mb-0_5 u-ml-0_75'|prefixClass }}">
                {# toggle actionbox tab according to current permissions #}
                {% if procedureStatementPriorityArea %}
                    {% set tabTarget = 'queryArea' %}
                {% elseif hasPermission( 'feature_map_use_drawing_tools' ) %}
                    {% set tabTarget = 'drawTools' %}
                {% else %}
                    {% set tabTarget = 'markLocation' %}
                {% endif %}
                <a
                    class="{{ 'o-link--default js__statementForm'|prefixClass }}"
                    href="{{ publicDetailPath|default() }}#procedureDetailsMap">{{ "map.to"|trans }}
                </a>
                <a
                    class="{{ 'o-link--default u-mb-0_5 hidden js__statementForm'|prefixClass }}"
                    href="{{ publicDetailPath|default() }}#procedureDetailsMap">
                </a>
            </div>

        </div>
    {% endif %}

    {% if hasPermission('field_statement_location') %}
        <div class="{{ ('c-statement__formblock layout__item u-1-of-1-palm height-90 height-auto-lap-down ' ~ (loggedin ? 'u-1-of-3' : 'u-3-of-10'))|prefixClass }}" data-toggle-id="locationCountryOrga">

            <label for="locationCountryOrga" class="{{ 'u-mb-0_5 weight--normal'|prefixClass }}">
                <input
                    type="radio"
                    class="{{ 'js__toggleAnything'|prefixClass }}"
                    data-toggle="#locationCountryOrga"
                    data-toggle-property="{{ '.is-visible'|prefixClass }}"
                    data-toggle-container="{{ '.toggle-group-location'|prefixClass }}"
                    data-toggle-exclusive
                    id="locationCountryOrga"
                    name="r_location"
                    value="countryorga"
                    required
                > {{ "statement.map.reference.choose_county"|trans }}
            </label>

            <label class="{{ ' u-mh-0_75 u-mb-0_5'|prefixClass }}">
                <select class="{{ 'layout__item'|prefixClass }}" name="r_county" aria-label="{{ 'counties'|trans }}">
                    <option value="">---</option>
                    {% for county in templateVars.counties|default([]) %}
                        <option value="{{ county.id }}" {% if county.id == templateVars.draftStatement.statementAttributes.county|default() %}selected{% endif %}>{{ county.name }}</option>
                    {% endfor %}
                </select>
            </label>

        </div>
    {% endif %}

    <div class="{{ ('c-statement__formblock layout__item u-1-of-1-palm height-90 height-auto-lap-down ' ~ (loggedin ? 'u-1-of-3' : 'u-2-of-10'))|prefixClass }}" data-toggle-id="locationNotLocated">

        <label for="locationNotLocated" class="{{ 'u-mb-0 weight--normal'|prefixClass }}">
            <input
                type="radio"
                class="{{ 'js__toggleAnything'|prefixClass }}"
                data-toggle="#locationNotLocated"
                data-toggle-property="{{ '.is-visible'|prefixClass }}"
                data-toggle-container="{{ '.toggle-group-location'|prefixClass }}"
                data-toggle-exclusive
                id="locationNotLocated"
                name="r_location"
                value="notLocated"
                required
                data-cy="notLocated"> {{ "statement.map.no_reference"|trans }}
        </label>

    </div>

</fieldset>
